SELECT *
FROM sys.dm_os_performance_counters
WHERE counter_name = 'Logins/sec';










DECLARE @old_cntr_value INT;
DECLARE @first_sample_date DATETIME;
SELECT @old_cntr_value = cntr_value,
@first_sample_date = getdate()
FROM sys.dm_os_performance_counters
WHERE counter_name = 'Logins/sec';
-- Time frame to wait before collecting second sample
WAITFOR DELAY '00:00:10'
-- Collect second sample and calculate counter
SELECT (cntr_value - @old_cntr_value) /
DATEDIFF(ss,@first_sample_date, GETDATE()) as Logins_per_sec
FROM sys.dm_os_performance_counters
WHERE counter_name = 'Logins/sec'
